org.apache.xmlgraphics.image.loader.impl

## Class ImageLoaderEPS

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader
  - - org.apache.xmlgraphics.image.loader.impl.ImageLoaderEPS

- All Implemented Interfaces:
    ImageLoader

      public class ImageLoaderEPS
      extends AbstractImageLoader

  ImageLoader for EPS (Encapsulated PostScript) images.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageLoader

      `MEDIUM_LOADING_PENALTY, NO_LOADING_PENALTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageLoaderEPS()` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImageFlavor` | `getTargetFlavor()` Returns the image flavor that is returned by this ImageLoader implementation.
    `Image` | `loadImage(ImageInfo info, java.util.Map<java.lang.String,java.lang.Object> hints, ImageSessionContext session)` Loads and returns an image.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader

      `getUsagePenalty, ignoreColorProfile, loadImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageLoaderEPS

          public ImageLoaderEPS()

      Main constructor.

  - ### Method Detail

    - #### getTargetFlavor

          public ImageFlavor getTargetFlavor()

      Returns the image flavor that is returned by this ImageLoader implementation.
      Returns:
        the target image flavor

    - #### loadImage

          public Image loadImage(ImageInfo info,
                                 java.util.Map<java.lang.String,java.lang.Object> hints,
                                 ImageSessionContext session)
                          throws ImageException,
                                 java.io.IOException

      Loads and returns an image.
      Parameters:
        `info` - the image info object indicating the image
        `hints` - a Map of hints that can be used by implementations to customize the loading process (may be null).
        `session` - the session context
      Returns:
        the fully loaded image
      Throws:
        `ImageException` - if an error occurs while loading the image
        `java.io.IOException` - if an I/O error occurs while loading the image

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.